CMSIS DSP Software Library: arm_variance_example_f32.c File Reference

Defines | Functions | Variables

# arm_variance_example_f32.c File Reference

`#include <math.h>`
`#include "arm_math.h"`

Go to the source code of this file.

## Defines

#define | MAX_BLOCKSIZE 32
#define | DELTA (0.000001f)

## Functions

int32_t | main (void)

## Variables

float32_t | wire1 [MAX_BLOCKSIZE]
float32_t | wire2 [MAX_BLOCKSIZE]
float32_t | wire3 [MAX_BLOCKSIZE]
float32_t | testInput_f32 [32]
uint32_t | blockSize = 32
float32_t | refVarianceOut = 0.903941793931839

## Define Documentation

#define MAX_BLOCKSIZE 32

Definition at line 83 of file arm_variance_example_f32.c.

#define DELTA (0.000001f)

Definition at line 84 of file arm_variance_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 122 of file arm_variance_example_f32.c.

## Variable Documentation

float32_t wire1[MAX_BLOCKSIZE]

Definition at line 90 of file arm_variance_example_f32.c.

float32_t wire2[MAX_BLOCKSIZE]

Definition at line 91 of file arm_variance_example_f32.c.

float32_t wire3[MAX_BLOCKSIZE]

Definition at line 92 of file arm_variance_example_f32.c.

float32_t testInput_f32[32]

Initial value:

    {
    -0.432564811528221,     -1.665584378238097,     0.125332306474831,      0.287676420358549,
    -1.146471350681464,     1.190915465642999,      1.189164201652103,      -0.037633276593318,
    0.327292361408654,      0.174639142820925,      -0.186708577681439,     0.725790548293303,
    -0.588316543014189,     2.183185818197101,      -0.136395883086596,     0.113931313520810,
    1.066768211359189,      0.059281460523605,      -0.095648405483669,     -0.832349463650022,
    0.294410816392640,      -1.336181857937804,     0.714324551818952,      1.623562064446271,
    -0.691775701702287,     0.857996672828263,      1.254001421602532,      -1.593729576447477,
    -1.440964431901020,     0.571147623658178,      -0.399885577715363,     0.689997375464345

    }

Definition at line 99 of file arm_variance_example_f32.c.

uint32_t blockSize = 32

Definition at line 115 of file arm_variance_example_f32.c.

float32_t refVarianceOut = 0.903941793931839

Examples:
  arm_variance_example_f32.c.

Definition at line 116 of file arm_variance_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines